Bug 525684 - 3G Dongle SD card reader not found
Summary: 3G Dongle SD card reader not found
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 09:46 UTC by Simon Goodall
Modified: 2010-06-28 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:48:46 UTC


Attachments (Terms of Use)
FC10 Live CD dmesg output (42.86 KB, text/plain)
2009-10-02 12:22 UTC, Simon Goodall
no flags Details
FC11 Live CD dmesg output (60.57 KB, text/plain)
2009-10-02 12:22 UTC, Simon Goodall
no flags Details

Description Simon Goodall 2009-09-25 09:46:28 UTC
Description of problem:
I have a vodafone K3565 3G dongle with a built in micro sd card reader. The modem part of this device works fine, however the sd reader does not.

My log messages says usb-storage failed with -1 and no device is created.

I tried this device with a F10 live cd and it does work. usb-storage returns -5 and then there are further messages where a device (sdb1 in this case) was created.

My device appears to be a Huawei  E160/E220/E270 type of device with the following id codes;

ID 12d1:1003


Version-Release number of selected component (if applicable):
kernel 2.6.29/30

How reproducible:
Always

Steps to Reproduce:
1. Plug such a device into a F11 machine.
2. Wait a little for HW detection to complete

Actual results:
1. Modem is detected
2. SD Card is not detected.
  

Expected results:
1. Modem is detected
2. SD Card is detected.
  

Additional info:

Comment 1 Chuck Ebbert 2009-09-27 10:15:22 UTC
Can you attach the boot logs after booting the failing and working kernels?

1) boot the failing kernel
2) boot the working one
3) attach /var/log/dmesg.old and /var/log/dmesg as separate plain-text attachments

Comment 2 Simon Goodall 2009-10-02 12:22:06 UTC
Created attachment 363467 [details]
FC10 Live CD dmesg output

Comment 3 Simon Goodall 2009-10-02 12:22:31 UTC
Created attachment 363468 [details]
FC11 Live CD dmesg output

Comment 4 Bug Zapper 2010-04-28 10:34:26 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:48:46 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.